package com.mx.dla.dda.contrato.ws.amortizacioncontrato;

import java.io.Serializable;

/**
 * Es la representacion de los parametros para obtener el calculo de Amortizacion por Contrato 
 */
public class ParamCalcAmortCntDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String idContrato;
	
	public String getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(String idContrato) {
		this.idContrato = idContrato;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idContrato: _" + this.getIdContrato() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
